/* Form definition file generated by fdesign */

#include <stdlib.h>
#include "gui.h"


/***************************************
 ***************************************/

FD_seg *
create_form_seg( void )
{
    FL_OBJECT *obj;
    FD_seg *fdui = fl_malloc( sizeof *fdui );

    fdui->vdata = fdui->cdata = NULL;
    fdui->ldata = 0;

    fdui->seg = fl_bgn_form( FL_NO_BOX, 1729, 966 );

    obj = fl_add_box( FL_UP_BOX, 0, 0, 1729, 966, "" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 10, 10, 80, 30, "New Track" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 1 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 100, 10, 80, 30, "Run" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 2 );

    fdui->DrawArea = obj = fl_add_free( FL_NORMAL_FREE, 10, 50, 1140, 880, "DrawArea", draw_handler );
    fl_set_object_gravity( obj, FL_NorthWest, FL_SouthEast );

    //    fdui->DrawArea = obj = fl_add_box( FL_UP_BOX, 10, 50, 1140, 880, "" );
    //    fl_set_object_color( obj, FL_BLANCHEDALMOND, FL_COL1 );

    fdui->Histo = obj = fl_add_box( FL_UP_BOX, 1170, 200, 540, 450, "" );
    fl_set_object_color( obj, FL_LEFT_BCOL, FL_COL1 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 190, 10, 80, 30, "Options" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 3 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 280, 10, 80, 30, "Button4" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 4 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 370, 10, 80, 30, "Button5" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 5 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 460, 10, 80, 30, "Button6" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 6 );

    obj = fl_add_button( FL_NORMAL_BUTTON, 550, 10, 80, 30, "Button7" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 7 );

    fdui->Title = obj = fl_add_text( FL_NORMAL_TEXT, 750, 0, 350, 40, "Legendre Explorer" );
    fl_set_object_color( obj, FL_WHITE, FL_MCOL );
    fl_set_object_lcolor( obj, FL_BLUE );
    fl_set_object_lsize( obj, FL_LARGE_SIZE );

    fdui->VersionText = obj = fl_add_text( FL_NORMAL_TEXT, 940, 10, 80, 30, "v0.2" );
    fl_set_object_color( obj, FL_WHITE, FL_BLACK );
    fl_set_object_lcolor( obj, FL_BLUE );
    fl_set_object_lsize( obj, FL_NORMAL_SIZE );

    obj = fl_add_button( FL_NORMAL_BUTTON, 640, 10, 80, 30, "Quit" );
    fl_set_object_color( obj, FL_WHITE, FL_COL1 );
    fl_set_object_lalign( obj, FL_ALIGN_CENTER );
    fl_set_object_callback( obj, cb_Button, 8 );

    fdui->th_range = obj = fl_add_input( FL_NORMAL_INPUT, 1240, 50, 110, 30, "Range deg" );
    fl_set_input( obj, "5");
    fl_set_object_color( obj, FL_WHITE, FL_LEFT_BCOL );
    fl_set_object_callback( obj, val_cb, 0 );
    fl_set_object_return( obj, FL_RETURN_END_CHANGED );

    fdui->r_steps = obj = fl_add_input( FL_NORMAL_INPUT, 1470, 90, 110, 30, "R steps" );
    fl_set_input( obj, "128");
    fl_set_object_color( obj, FL_WHITE, FL_LEFT_BCOL );
    fl_set_object_callback( obj, val_cb, 0 );
    fl_set_object_return( obj, FL_RETURN_END_CHANGED );

    fdui->th_steps = obj = fl_add_input( FL_NORMAL_INPUT, 1240, 90, 110, 30, "Theta steps" );
    fl_set_input( obj, "128");
    fl_set_object_color( obj, FL_WHITE, FL_LEFT_BCOL );
    fl_set_object_callback( obj, val_cb, 0 );
    fl_set_object_return( obj, FL_RETURN_END_CHANGED );

    fdui->text_xmin = obj = fl_add_text( FL_NORMAL_TEXT, 1200, 660, 80, 20, "text" );
    fdui->text_xmax = obj = fl_add_text( FL_NORMAL_TEXT, 1630, 660, 80, 20, "text" );
    fdui->text_ymax = obj = fl_add_text( FL_NORMAL_TEXT, 1130, 200, 60, 20, "text" );
    fdui->text_ymin = obj = fl_add_text( FL_NORMAL_TEXT, 1130, 630, 60, 20, "text" );

    fl_end_form( );

    fdui->seg->fdui = fdui;

    return fdui;
}
